Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045519
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajorhave not tried2020-11-27 00:162020-12-15 08:21
Reportercollazoandy4View Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR20Q1SCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045519: Wrong discount amount after cancel and replace a layaway

DescriptionWhen a layaway with a discount applied in the same line where a product is flaged as item declaration is cancel and replaced, a wrong discount amount is calculated after decrease the quantity of a line with price modifications
Steps To ReproduceAs White Valley Group Admin Role
  Go to Price Modification Reason window and create a new record:
    Organization: *
    Name: Issue
  Go to Discounts and Promotions window and update disc_5_ var_perc record
    Remove Percentage Discount field value (5)
  Enable Web POS action Change price preference
  Go to Product window and update Avalanche Transceiver record:
    Item declaration: Y
Log in VBS-1 POS Terminal with vallblanca user
  Click on Layway This Receipt menu entry
  Set Arturo Montoro as customer in the receipt
  Add two units of Headlamp ultralight product
  Add Avalanche Transceiver product and set Description 1 in item declaration popup and Apply
  Select Headlamp ultralight record and update price to 18 and select previous record created as Price Modification Reason
  Select Avalanche Transceiver product
  Click on Discount button
  Add disc_5_ var_perc discount record with a value of 25
  Check a new discount record is created for Avalanche Transceiver product with a value of -37.63
  Click on Checkout button
  Click on Layway button to synchronize the receipt in the backend
  Click on Open Receipt menu entry
  Open the previous layway
  Click on Cancel and Replace button
  Select Headlamp ultralight record
  Update line quantity to one unit
  Check the Avalanche Transceiver discount amount is updated to -56.63
TagsNo tags attached.
Attached Filesdiff file icon 45519_20Q1_posterminal.diff [^] (1,824 bytes) 2020-12-14 08:51 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124810)
hgbot (developer)
2020-12-14 16:34

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/210 [^]
(0124811)
hgbot (developer)
2020-12-14 16:34

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/61 [^]
(0124820)
hgbot (developer)
2020-12-15 08:21

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/210 [^]
(0124821)
hgbot (developer)
2020-12-15 08:21

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 4b8bee6bef4b31fce06590ffdd215d54bc37603c
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-12-15T07:21:09+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/4b8bee6bef4b31fce06590ffdd215d54bc37603c [^]

Fixed ISSUE-45519: Manual Promotions should be created when doing CR
When doing CR, manual promotions should be generated for new discount engine

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/utils/ticketListUtils.js
---

- Issue History
Date Modified Username Field Change
2020-11-27 00:16 collazoandy4 New Issue
2020-11-27 00:16 collazoandy4 Assigned To => Retail
2020-11-27 00:16 collazoandy4 Triggers an Emergency Pack => No
2020-11-27 00:17 collazoandy4 version => RR20Q1
2020-12-03 07:38 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-12-07 08:28 ranjith_qualiantech_com Status new => scheduled
2020-12-07 08:28 ranjith_qualiantech_com File Added: 45519_20Q1_posterminal.diff
2020-12-14 06:11 ranjith_qualiantech_com File Deleted: 45519_20Q1_posterminal.diff
2020-12-14 08:51 ranjith_qualiantech_com File Added: 45519_20Q1_posterminal.diff
2020-12-14 16:34 hgbot Note Added: 0124810
2020-12-14 16:34 hgbot Note Added: 0124811
2020-12-15 08:21 hgbot Resolution open => fixed
2020-12-15 08:21 hgbot Status scheduled => closed
2020-12-15 08:21 hgbot Note Added: 0124820
2020-12-15 08:21 hgbot Fixed in Version => RR21Q1
2020-12-15 08:21 hgbot Note Added: 0124821


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker